Bug 499401 - vncpasswd: glibc free() error
vncpasswd: glibc free() error
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tigervnc (Show other bugs)
rawhide
i686 Linux
low Severity high
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-06 10:40 EDT by Konstantin
Modified: 2013-04-30 19:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 10:14:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Konstantin 2009-05-06 10:40:45 EDT
Package: 
tigervnc-server-0.0.90-0.6.20090427svn3789.fc11.i586


How reproducible:
Try to set VNC password larger than 12 chars.

Steps to Reproduce:
1. Run 'vncpasswd'.
2. Set password 12 or more characters.
  
Actual results:
Password:
Verify:
Passwords don't match - try again
*** glibc detected *** vncpasswd: free(): invalid next size (fast): 0x08b42130 ***
======= Backtrace: =========
/lib/libc.so.6[0x180a01]
/usr/lib/libstdc++.so.6(_ZdlPv+0x21)[0xf549a1]
/usr/lib/libstdc++.so.6(_ZdaPv+0x1d)[0xf549fd]
vncpasswd[0x804935d]
vncpasswd[0x804974a]
vncpasswd[0x8048f86]
/lib/libc.so.6(__libc_start_main+0xe6)[0x126a66]
vncpasswd[0x8048c91]
======= Memory map: ========
00110000-0027d000 r-xp 00000000 08:02 6086       /lib/libc-2.9.90.so
0027d000-0027f000 r--p 0016d000 08:02 6086       /lib/libc-2.9.90.so
0027f000-00280000 rw-p 0016f000 08:02 6086       /lib/libc-2.9.90.so
00280000-00283000 rw-p 00280000 00:00 0
00607000-00627000 r-xp 00000000 08:02 6079       /lib/ld-2.9.90.so
00627000-00628000 r--p 0001f000 08:02 6079       /lib/ld-2.9.90.so
00628000-00629000 rw-p 00020000 08:02 6079       /lib/ld-2.9.90.so
00aa6000-00acd000 r-xp 00000000 08:02 6094       /lib/libm-2.9.90.so
00acd000-00ace000 r--p 00026000 08:02 6094       /lib/libm-2.9.90.so
00ace000-00acf000 rw-p 00027000 08:02 6094       /lib/libm-2.9.90.so
00afd000-00b0f000 r-xp 00000000 08:02 6404       /lib/libz.so.1.2.3
00b0f000-00b10000 rw-p 00011000 08:02 6404       /lib/libz.so.1.2.3
00ca1000-00ccc000 r-xp 00000000 08:02 137499     /lib/libgcc_s-4.4.0-20090427.so.1
00ccc000-00ccd000 rw-p 0002a000 08:02 137499     /lib/libgcc_s-4.4.0-20090427.so.1
00e1c000-00e1d000 r-xp 00e1c000 00:00 0          [vdso]
00ea1000-00f83000 r-xp 00000000 08:02 6373       /usr/lib/libstdc++.so.6.0.11
00f83000-00f87000 r--p 000e1000 08:02 6373       /usr/lib/libstdc++.so.6.0.11
00f87000-00f88000 rw-p 000e5000 08:02 6373       /usr/lib/libstdc++.so.6.0.11
00f88000-00f8f000 rw-p 00f88000 00:00 0
08048000-0804c000 r-xp 00000000 08:02 51515      /usr/bin/vncpasswd
0804c000-0804d000 rw-p 00003000 08:02 51515      /usr/bin/vncpasswd
08b42000-08b63000 rw-p 08b42000 00:00 0          [heap]
b8088000-b808b000 rw-p b8088000 00:00 0
b80a5000-b80a7000 rw-p b80a5000 00:00 0
bfb92000-bfba7000 rw-p bffeb000 00:00 0          [stack]
Aborted


Expected results:
Password should be set up.


Seems pretty same as in https://bugzilla.redhat.com/show_bug.cgi?id=160471
Comment 1 Konstantin 2009-05-08 04:44:54 EDT
Package updated to:
tigervnc-server-0.0.90-0.7.20090427svn3789.fc11.i586
Problem still persists.
Comment 2 Adam Tkac 2009-05-18 10:14:25 EDT
fixed in tigervnc-0.0.90-0.9.fc11.

Note You need to log in before you can comment on or make changes to this bug.